DirectoryIterator::isLink
DirectoryIterator::isWritable
DirectoryIterator
PHP Manual

# DirectoryIterator::isReadable

(PHP 5)

DirectoryIterator::isReadable — Determine if current DirectoryIterator item can be read

### Description

public bool DirectoryIterator::isReadable ( void )

Determines if the current DirectoryIterator item is readable.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if the file is readable, otherwise `FALSE`

### Examples

Example #1 DirectoryIterator::isReadable() example

`<?php
$iterator = new DirectoryIterator(dirname(__FILE__));
foreach ($iterator as $fileinfo) {
if ($fileinfo->isReadable()) {
echo $fileinfo->getFilename() . "\n";
}
}
?>`

The above example will output something similar to:

    apple.jpg
    banana.jpg
    example.php
    pears.jpg

### See Also

- DirectoryIterator::isExecutable() - Determine if current DirectoryIterator item is executable
- DirectoryIterator::isWritable() - Determine if current DirectoryIterator item can be written to
- DirectoryIterator::getPerms() - Get the permissions of current DirectoryIterator item

DirectoryIterator::isLink
DirectoryIterator::isWritable
DirectoryIterator
PHP Manual